=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-10-06 07:43:13 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-10-06 16:41:45 +0000
@@ -40,6 +40,9 @@
 * Fixed loading of external merge tools from config to properly decode
   command-lines which contain embedded quotes. (Gordon Tyler, #828803)
 
+* Include declaration of 'changed' to avoid an UnboundLocalError in dirstate
+  pyrex code with new Cython versions. (Denys Duchier, #837221)
+
 * Prevent several kinds of OverflowError and other fallout from failing to fit
   stat fields into four bytes in dirstate pack_stat implementations.
   (Martin Packman, #683191 #706957)
@@ -72,6 +75,9 @@
    suite.  This can include new facilities for writing tests, fixes to 
    spurious test failures and changes to the way things should be tested.
 
+* Really corrupt the pack file without depending on a special length or value.
+  (Vincent Ladeuil, #807032)
+
 
 bzr 2.4.1
 #########

=== modified file 'setup.py'
--- setup.py	2011-09-27 10:58:55 +0000
+++ setup.py	2011-10-06 16:41:45 +0000
@@ -202,9 +202,7 @@
     from distutils.command.build_ext import build_ext
 else:
     have_pyrex = True
-    import re
-    _version = re.match("^[0-9.]+", pyrex_version).group(0)
-    pyrex_version_info = tuple(map(int, _version.split('.')))
+    pyrex_version_info = tuple(map(int, pyrex_version.rstrip("+").split('.')))
 
 
 class build_ext_if_possible(build_ext):

